
/**
 * setPage(pageURL) sets the page displayed by
 * objectElement and textElement to the page whose
 * url is pageURL.
 */
function setPage(pageURL) {
  // You need to add code here.
}

/**
 * li.doClick(event) sets the page displayed by
 * objectElement and textElement to the page whose
 * url is the href of the <a> element contained in
 * li.
 * The click event will not be propagated to the
 * <a> element.
 */
function doClick(event) {
  var anchors = this.getElementsByTagName("a");
  var anchor = anchors.item(0);
  setPage(anchor.href);
  event.stopPropagation();
  event.preventDefault();
}

/**
 * installClickHandlers() installs doClick as the
 * click handler for all <li> elements in the
 * document.
 */
function installClickHandlers() {
  var links = document.getElementsByTagName("li");
  for (var i = 0; i < links.length; i++) {
    links.item(i).addEventListener("click", doClick, true);
  }
}

/**
 * getNavigationVisual() returns the element in
 * the document that has id "navigation".
 * The element is trained as a visual and is given
 * style class "navigation".
 *
 * The navigation visual displays a menu of web pages
 * that can be displayed in the object and text visuals.
 */
function getNavigationVisual() {
  var visual = document.getElementById("navigation");
  // You need to add code here.
  return visual;
}

/**
 * createObjectVisual() returns a new visual that
 * contains an <object> element with type "text/html".
 * The <object> element is assigned to the global
 * variable objectElement.
 * The visual is given style class "object".
 *
 * The object visual displays the selected web page
 * like a browser normally displays the page.
 */
function createObjectVisual() {
  objectElement = document.createElement("object");
  // You need to add code here.
}

/**
 * createTextVisual() returns a new visual that
 * contains a <textarea> element.
 * The <textarea> element is assigned to the global
 * variable textElement.
 * The visual is given style class "textarea".
 *
 * The text visual displays the HTML code for the
 * selected web page.
 */
function createTextVisual() {
  textElement = document.createElement("textarea");
  // You need to add code here.
}

/**
 * start() installs click handlers in document, sets
 * up the layout and sets the initial displayed page
 * to "page1.xhtml".
 * The layout has the navigation visual in the left
 * 10 em of the browser window.
 * The rest of the browser window is split equally
 * between the object visual on the top and the text
 * visual on the bottom.
 */
function start() {
  installClickHandlers();
  // You need to add code here.
};
